/* http://meyerweb.com/eric/tools/css/reset/
v2.0 | 20110126
License: none (public domain)
 */
/* Mockingbird Theme by Nevan Scott nevanscott.com */
/* Modified by Jody Frankowski */
/* Modified by ix5 */
/* Modified by Tyler Carr */

:root {
    --left-gutter-width: 150px;

    --main-bg-color: rgb(200, 200, 205);
    --secondary-bg-color: rgb(150,150,150);
    --accent-color: #C7254E;
    --tab-bg-hover: var(--pre-bg-color);
    --info-bg-color: var(--pre-bg-color);

    --text-color: rgb(22, 22, 40);
    --secondary-text-color: rgb(100,100,100);
    --secondary-link-color: rgb(60, 60, 120);

    --footer-text-color: #888;
    --heading-text-color: rgb(10, 10, 10);

    --link-color: rgb(10, 10, 10);

    --reverse-text-color: rgb(240, 240, 250);

    --link-bg-color: rgb(240, 240, 250);
    --link-bg-dot-color: rgb(250, 250, 250);

    --code-color: rgb(10, 10, 10);
    --code-bg-color: rgb(240, 240, 240);
    --code-bg-dot-color: rgb(200, 200, 200);
    --code-font-size: 14px;

    --pre-bg-color: rgb(244, 244, 250);
    --pre-bg-dot-color: rgb(220, 220, 230);
    --pre-code-color: #C7254E;

    --quote-bg-dot-color: lightgray;

    --mono-font-familes: CommitMono, Monaco,Menlo,Consolas,"Courier New",monospace;
}

@font-face {
    font-family: CommitMono;
    src: url("/static/CommitMono-400-Regular.otf") format("opentype");
    font-weight: 400;
}

@font-face {
    font-family: CommitMono;
    src: url("/static/CommitMono-400-Italic.otf") format("opentype");
    font-weight: 400;
    font-style: italic;
}

@font-face {
    font-family: CommitMono;
    src: url("/static/CommitMono-700-Regular.otf") format("opentype");
    font-weight: 700;
}

@font-face {
    font-family: CommitMono;
    src: url("/static/CommitMono-700-Italic.otf") format("opentype");
    font-weight: 700;
    font-style: italic;
}

html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed,
figure, figcaption, footer, header, hgroup,
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
    scrollbar-gutter: stable;
    margin: 0;
    padding: 0;
    border: 0;
    color: var(--text-color);
    font: inherit;
    vertical-align: baseline;
    line-height: 1.8em;
}
em {
    font-style: italic;
}
strong {
    font-weight: bold;
}
/* HTML5 display-role reset for older browsers */
article, aside, details, figcaption, figure,
footer, header, hgroup, menu, nav, section {
    display: block;
}
body {
    line-height: 1;
    background-color: var(--main-bg-color);
}
ol, ul {
    list-style: none;
}
blockquote, q {
    quotes: none;
}
blockquote:before, blockquote:after,
q:before, q:after {
    content: '';
    content: none;
}

table {
    border-collapse: collapse;
    border-spacing: 0;
}

body {
    font-family: var(--mono-font-familes);
    font-size: 14px;
    line-height: 1.5em;
}

header, #wrapper {
    padding: 0 10px;
    max-width: 910px;
    margin: auto;
}

a {
    color: var(--link-color);
    text-decoration: none;
    background-image: radial-gradient(var(--link-bg-dot-color) 0.5px, var(--main-bg-color) 0.5px);
    background-size: 2px 2px;
    padding-top: 1px;
    padding-bottom: 1px;
}

a:hover {
    color: var(--reverse-text-color);
    background-image: radial-gradient(var(--text-color) 0.5px, var(--main-bg-color) 0.5px);
}

.title a {
    color: var(--heading-text-color);
    text-decoration: none;
    padding: 0;
    height: 100%;
    display: inline-block;
}
.title a:hover {
    color: var(--reverse-text-color);
}

ul {
    list-style: outside "> ";
}

.post.archives ul {
    padding-left: 0;
    list-style: inside "> ";
}

ol {
    list-style: outside decimal;
}

h1, h2, h3, h4, h5, h6 {
    color: var(--heading-text-color);
    font-weight: bold;
}
h1, h2, h3 {
    color: var(--heading-text-color);
    font-size: 1.5em;
    line-height: 1em;
    margin: 1em 0;
}

.header_box h1 {
    margin-left: 150px;
    font-size: 3.14159em;
}

img, p, .post > .highlight, .highlighttable, h4, h5, h6 {
    margin-top: 1.2em;
}
img + em {
    font-size: .8em;
}

blockquote {
    margin: 1.5em 1.5em 1.5em .75em;
    padding-left: .75em;
    border-left: 4px solid var(--quote-bg-dot-color);
    font-weight: bold;

    background-image: radial-gradient(var(--quote-bg-dot-color) 0.8px, var(--main-bg-color) 0.8px);
    background-size: 10px 10px;
    padding-top: 1px;
    padding-bottom: 1px;

}

table {
    width: 100%;
    margin: 1em 0;
}
thead {
    border-bottom: 1px solid black;
}

.avatar {
    border-radius: 50%;
    -mox-border-radius: 50%;
    -webkit-border-radius: 50%;
    position: relative;
    bottom: 0;
    top: 0;
    margin: auto;
    display: inline;
    padding-right: 5px;
}

.date {
    color: var(--secondary-text-color);
    float: left;
    clear: both;
    width: 130px;
    font-size: 1.2em;
    line-height: 1em;
    margin: 0 0 1em 0;
    text-align: right;
    padding-right: 20px;
}

h4.archives.date {
    margin-top: 0.25em;
    padding-top: 0;
}

.info {
    margin-top: 1.3em;
    text-align: right;
    color: var(--secondary-text-color);
    border-top: thin solid #666;
    font-size: 80%;
}

.info a {
    color: inherit;
}

.info a.tags {
    color: var(--secondary-link-color);
    display: inline-block;
    padding: 0;
    margin: 0;
}

.info a:hover {
    color: var(--reverse-text-color);
}
.info a.tags.selected {
    border: 1px #999 solid;
}

.post {
    margin: 0 0 4.5em 150px;
}

.post.archives {
    margin-bottom: 1.5em;
    margin-left: var(--left-gutter-width);
}

.post p {
    text-align: justify;
}

.page {
    margin: 0 90px;
}

.highlight {
    border-radius: 3px;
}
.code > .highlight {
    border-radius: 0px 3px 3px 0px;
    background-color: var(--pre-bg-color);
}
.linenos {
    border-radius: 3px 0px 0px 3px;
    background-color: var(--pre-bg-color);
    border-right: 1px solid #00232C;
    color: #586E75;
    font-size: 12.6px;
}

td.code {
    width: 100%;
    max-width: 100px;
}
.linenos a {
    color: #586E75;
}

img {
    box-shadow: 0px 1px 4px rgba(0, 0, 0, 0.15);
    border-radius: 0.3em;
    max-width: 100%;
    display: block;
    margin-left: auto;
    margin-right: auto;
}

/*sub and sup stolen from Twitter bootstrap.*/
sub, sup {
    position: relative;
    font-size: 75%;
    line-height: 0;
    vertical-align: baseline;
}

sup {
    top: -0.5em;
}

sub {
    bottom: -0.25em;
}

.post pre, .page pre {
    padding: .8em;
    font-size: 12.6px;
    font-family: var(--mono-font-familes);
    line-height: 16px;
    overflow: auto;
    border-radius: 2px;

    color: var(--pre-code-color);
    background-image: radial-gradient(var(--pre-bg-dot-color) 0.5px, var(--pre-bg-color) 0.5px);
    background-size: 2px 2px;
    padding-top: 1px;
    padding-bottom: 1px;
}

form.inline_edit {
    clear: both;
    margin: 4.5em 0;
    background-color: #DDD;
    color: #000;
    padding: 20px;
    border-radius: 5px;
}
.inline_edit .sub {
    color: #888;
    white-space: nowrap;
}
.inline_edit label {
    float: left;
    clear: both;
    width: 140px;
    margin-right: 20px;
}
.inline_edit .buttons {
    display: block;
    text-align: right;
}

nav {
    padding-top: 2em;
}

nav ul {
    float: right;
    list-style: none;
    margin: 0;
    padding: 0;
}

nav li {
    float: left;
    text-transform: lowercase;
}

nav a {
    margin-right: 0.5em;
}

nav .last a {
    margin-right: 0;
}

nav a:hover {
    color: var(--reverse-text-color);
    background-color: var(--tab-bg-hover);
}
nav li.selected a {
    background-color: #15A9DB;
    color: #FFF;
}

header .header_box {
/*    padding-top: 4.5em; */

}

a:hover span.site_title {
    color: var(--reverse-text-color);
}

span.site_title {
    text-transform: uppercase;
    background-image: none;
}

.header_box a:hover {
    color: var(--reverse-text-color);
}

header h1 {
    font-size: 1.5em;
    line-height: 1em;
    margin: 0;
}
header h2 {
    font-size: 1em;
    margin: .3em 0;
    color: #DDD;
}

h1.archives {
    padding-left: var(--left-gutter-width);
}

#content {
    margin-top: 3em;
}

.pages {
    line-height: 2.5em;
    margin: 0;
    padding-left: var(--left-gutter-width);
    margin-bottom: 2em;
    font-size: 80%;
}

.pages a.next_page {
    float: right;
    width: 140px;
    text-align: center;
}
.pages a.prev_page {
    float: left;
    width: 140px;
    text-align: center;
}
.pages a {
    color: inherit;
    border: none;
}
.pages a:hover {
    color: var(--reverse-text-color);
    background-color: #DDD;
}
.pages span {
    display: block;
    margin: 0 160px;
    text-align: center;
}

pre code {
    color: var(--pre-code-color);
}

p code {
    font-family: var(--mono-font-familes);
    font-size: var(--code-font-size);
    font-weight: bold;
    line-height: 18px;
    padding-bottom: 2px;
    padding-left: 4px;
    padding-right: 4px;
    padding-top: 2px;

    color: var(--code-color);
    background-image: radial-gradient(var(--code-bg-dot-color) 0.5px, var(--code-bg-color) 0.5px);
    background-size: 2px 2px;
    padding-top: 1px;
    padding-bottom: 1px;
}

footer.credit {
    line-height: 1.5em;
    font-size: 0.8em;
    text-align: center;
    color: var(--secondary-text-color);
    margin-left: var(--left-gutter-width);
    font-family: var(--mono-font-familes);
}
footer p { margin: 0; color: inherit;}
footer a {
    color: var(--secondary-link-color);
}

.right { float: right; }

.clear { clear: both; }

@media screen and (max-width: 1024px) {
    #wrapper {
        margin-left: 2.6em;
        padding:1em;
    }

    div.header_box {
        margin-left: 2.6em;
    }

}

@media screen and (max-width: 800px), print {
    #wrapper {
        margin: 0;
        padding: 1em;
    }
    .date {
        width: 100%;
        margin: 0 0 .5em 0;
    }
    .post {
        margin: 0 0 4.5em 0;
    }
    .post pre,
    .post code {
        white-space: pre-wrap;
    }
    .archives {
        margin: 0 0 1.5em 0 !important;
    }
    nav ul {
        margin: 0 0 1em 0;
    }
}
@media print {
    * {
        background: #fff;
    }
    #wrapper, #content {
        margin: 0;
        padding: 0;
    }
    header, footer, nav {
        display: none;
    }
    img {
        break-inside: avoid;
    }
    p, table, pre {
        widows: 3;
        orphans: 3;
    }
    h1, h2, h3, h4, h5, h6 {
        break-after: avoid;
    }
    h1, h2 {
        font-size: 14pt;
    }
    h3, h4, h4.date {
        font-size: 12pt;
    }
    .post p, .post ul li, .post ol li, .post table {
        font-size: 11pt;
    }
}
@page {
    margin: 1.5cm;
}
